unit SaverU;

interface

uses
{$ifdef Windows}
  IniFiles,
{$else}
  Registry,
{$endif}
  WinProcs, WinTypes, Messages, SysUtils, Classes, Graphics, Controls,
  Forms, Dialogs, StdCtrls;

type
  TMainForm = class(TForm)
    Button1: TButton;
    Button2: TButton;
    ColorDialog1: TColorDialog;
    procedure Button2Click(Sender: TObject);
    procedure Button1Click(Sender: TObject);
  end;

var
  MainForm: TMainForm;

implementation

{$R *.DFM}

uses
  ChoiceU, TypInfo;

procedure TMainForm.Button2Click(Sender: TObject);
begin
  if ColorDialog1.Execute then
    Color := ColorDialog1.Color
end;

procedure TMainForm.Button1Click(Sender: TObject);
begin
  with ChoiceForm, ListBox1 do
    if ShowModal <> mrCancel then
      Self.BorderStyle :=
        TFormBorderStyle(GetEnumValue(
          TypeInfo(TFormBorderStyle), Items[ItemIndex]));
end;

end.
