unit ChoiceU;

interface

uses
  WinProcs, WinTypes, Messages, SysUtils, Classes, Graphics, Controls,
  Forms, Dialogs, StdCtrls;

type
  TChoiceForm = class(TForm)
    ListBox1: TListBox;
    Button1: TButton;
    Button2: TButton;
    Label1: TLabel;
    procedure FormCreate(Sender: TObject);
    procedure ListBox1DblClick(Sender: TObject);
  private
    { Private declarations }
  public
    { Public declarations }
  end;

var
  ChoiceForm: TChoiceForm;

implementation

uses
  TypInfo;

{$R *.DFM}

procedure TChoiceForm.FormCreate(Sender: TObject);
{$ifdef Win32}
  {$LongStrings Off}
{$endif}
var
  BSTypeInfo: PTypeInfo;
  S: ^String;
  Loop: Integer;
begin
  BSTypeInfo := TypeInfo(TFormBorderStyle);
  with GetTypeData(BSTypeInfo)^ do
  begin
    S := @NameList;
    for Loop := MinValue to MaxValue do
    begin
      ListBox1.Items.Add(S^);
      Inc(Longint(S), Length(S^) + 1);
    end
  end;
  ListBox1.ItemIndex := ListBox1.Items.IndexOf(
    GetEnumName(BSTypeInfo,
      Ord(Application.MainForm.BorderStyle)){$ifdef Windows}^{$endif})
end;

procedure TChoiceForm.ListBox1DblClick(Sender: TObject);
begin
  Button1.Click
end;

end.